Summary: RealPlayer
Name: rvplayer
Version: 5.0
Release: 8rh6
ExclusiveOS: Linux
ExclusiveArch: i386
Copyright: Commercial
Group: Applications/Internet
Vendor: RealNetworks, Inc.
URL: http://www.real.com
Source0: rv50_linux20.tar.gz
Source1: rpopen.tar.gz
Source2: rvplayer
Source3: rvplayer.wmconfig
BuildRoot: /var/tmp/rvplayer-root

%changelog
* Wed Sep 08 1999 Peter Soos <sp@osb.hu>
- Removed the unnecessary files from /etc/profile.d.

* Wed Sep 07 1999 Peter Soos <sp@osb.hu>
- Export the LD_LIBRARY_PATH in the rvplayer wrapper script.

* Sat Jun 12 1999 Peter Soos <sp@osb.hu>
- Applied to RedHat Linux 6.0
- Temporarly removed the Netscape plugin support because of this is libc5
  based and doesn't support the glibc based versions of Netscape and can't
  set the preload patch for kernel-2.2.x.

* Sun Apr 25 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- split package into main and nplugin. Note that in Netscape 4.51 glibc:

  helpers.global_mime_types_file=/usr/local/lib/netscape/mime.types
  helpers.global_mailcap_file=/usr/local/lib/netscape/mailcap

  Setting HOME_MOZILLA=/usr/lib/netscape in netscape.sh script would allow
  to have mime.types and mailcap in /usr/lib/netscape, which is the
  default installation dir for netscape RedHat package, but netscape (I 
  wonder when Netscape will fix all these stuff) seems less stable if
  HOME_MOZILLA is set.

* Sun Apr 18 1999 Peter Soos <sp@osb.hu>
- Corrected the wmconfig entry (conflicted with acroread).

* Thu Oct 22 1998 Torbjorn Lindgren <tl@fairplay.no>
- Added missing files rvplayer.sh/rvplayer.csh (was only in i386 RPM,
  not src RPM).
- Fixed rvplayer.sh/rvplayer.csh to handle empty LD_LIBRARY_PATH
  correctly (minor nuisance for SH, fatal bug for CSH/TCSH).
- Added workaround for a bug in the RealPlayer that gives it problems
  on late 2.1.x kernels (2.1.120+, read discussion about O_NONBLOCK in
  the linux.kernel for full information).
  Workaround verified on both 2.0.x and 2.1.x kernels.
- Fixed incorrect handling of "special" filenames, such as filenames with
  embedded spaces. Always used the intended operator for this 
  ("$@" instead of $*)

%description
RealNetworks' RealPlayer 5.0.

#%package nplugin
#Summary: RealPlayer Netscape plugin
#Group: X11/Amusement
#Requires: rvplayer, netscape-common >= 4.08

#%description nplugin
#RealNetworks' RealPlayer 5.0 plugin for Netscape.

%prep
%setup -n rvplayer5.0
%setup -D -a 1 -n rvplayer5.0

%build
cd rpopen
make "CFLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/usr/lib/rvplayer
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/plugins
install -m 755 $RPM_SOURCE_DIR/rvplayer.sh $RPM_BUILD_ROOT/etc/profile.d
install -m 755 $RPM_SOURCE_DIR/rvplayer.csh $RPM_BUILD_ROOT/etc/profile.d
install -m 755 $RPM_SOURCE_DIR/rvplayer $RPM_BUILD_ROOT/usr/bin/rvplayer
install -m 755 rvplayer $RPM_BUILD_ROOT/usr/lib/rvplayer/rvplayer
install -m 755 *.so $RPM_BUILD_ROOT/usr/lib/rvplayer
install -m 755 *.class $RPM_BUILD_ROOT/usr/lib/rvplayer
install -m 755 rpopen/open.so $RPM_BUILD_ROOT/usr/lib/rvplayer
rm -f $RPM_BUILD_ROOT/usr/lib/rvplayer/librvplayer.so
install -m 644 *.class $RPM_BUILD_ROOT/usr/lib/netscape/plugins
install -m 755 librvplayer.so $RPM_BUILD_ROOT/usr/lib/netscape/plugins
install -m 644 rvplayer.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/rvplayer
install -m 644 $RPM_SOURCE_DIR/rvplayer.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/rvplayer

%clean
rm -rf $RPM_BUILD_ROOT

#%post nplugin
#if [ -e /usr/local/lib/netscape/mime.types ]; then
#	cp -f -p /usr/local/lib/netscape/mime.types \
#		/usr/local/lib/netscape/mime.types.rpmsave
#	cat /usr/local/lib/netscape/mime.types.rpmsave | \
#		grep -v 'type=audio/x-pn-realaudio' | \
#		grep -v 'mime type added by Real Player 5.0' > \
#		/usr/local/lib/netscape/mime.types
#	cat <<EOF >>/usr/local/lib/netscape/mime.types
##mime type added by Real Player 5.0
#type=audio/x-pn-realaudio desc="RealPlayer 5.0" exts="ra,ram,rm"
#EOF
#else
#	mkdir -p /usr/local/lib/netscape
#	cat <<EOF >/usr/local/lib/netscape/mime.types
##--Netscape Communications Corporation MIME Information
##Do not delete the above line. It is used to identify the file type.
##
##mime type added by Real Player 5.0
#type=audio/x-pn-realaudio desc="RealPlayer 5.0" exts="ra,ram,rm"
#EOF
#fi

#if [ -e /usr/local/lib/netscape/mailcap ]; then
#	cp -f -p /usr/local/lib/netscape/mailcap \
#		/usr/local/lib/netscape/mailcap.rpmsave
#	cat /usr/local/lib/netscape/mailcap.rpmsave | \
#		grep -v 'type=audio/x-pn-realaudio' > \
#		/usr/local/lib/netscape/mailcap
#	cat <<EOF >>/usr/local/lib/netscape/mailcap
##mailcap entry added by Real Player 5.0
#audio/x-pn-realaudio;rvplayer %s
#EOF
#else
#	mkdir -p /usr/local/lib/netscape
#	cat <<EOF >/usr/local/lib/netscape/mailcap
##mailcap entry added by Real Player 5.0
#audio/x-pn-realaudio;rvplayer %s
#EOF
#fi

#%postun nplugin
#if [ -f /usr/local/lib/netscape/mime.types.rpmsave ]; then
#	mv -f /usr/local/lib/netscape/mime.types.rpmsave \
#		/usr/local/lib/netscape/mime.types
#else
#	cp /usr/local/lib/netscape/mime.types /tmp/mime.types$$
#	cat /tmp/mime.types$$ | grep -v 'type=audio/x-pn-realaudio' | \
#		grep -v 'mime type added by Real Player 5.0' > \
#		/usr/local/lib/netscape/mime.types
#	rm -f /tmp/mime.types$$
#fi

#if [ -f /usr/local/lib/netscape/mailcap.rpmsave ]; then
#	mv -f /usr/local/lib/netscape/mailcap.rpmsave \
#		/usr/local/lib/netscape/mailcap
#else
#	cp /usr/local/lib/netscape/mailcap /tmp/mailcap$$
#	cat /tmp/mailcap$$ |  grep -v 'audio/x-pn-realaudio' | \
#                grep -v 'mailcap entry added by Real Player 5.0' > \
#                /usr/local/lib/netscape/mailcap
#        rm -f /tmp/mailcap$$
#fi

%files
%defattr(-, root, root)
%doc License.txt welcome.rm Mailcap Mime.types index.htm doc
%config /usr/X11R6/lib/X11/app-defaults/rvplayer
%config /etc/X11/wmconfig/rvplayer
/usr/bin/rvplayer
/usr/lib/rvplayer

#%files nplugin
#%defattr(-, root, root)
#/usr/lib/netscape/plugins/*

